# Class CvsFileBlockParser

java.lang.Object
net.sf.statcvs.input.CvsFileBlockParser

public class CvsFileBlockParser extends Object
Parses the information of one file from a CVS logfile `LookaheadReader`. A `Builder` must be specified which constructs some representation of that file. The lookahead reader must be positioned on the first line of the file's section in the log ("RCS file: ...").

Version:
  $Id: CvsFileBlockParser.java,v 1.47 2008/04/02 11:22:15 benoitx Exp $
Author:
  Anja Jentzsch, Richard Cyganiak, Tammo van Lessen

## Constructor Summary

Constructors
Constructor
Description
`CvsFileBlockParser(LookaheadReader logReader, CvsLogBuilder builder, boolean isFirstFile)`
Default Constructor CvsFileBlockParser.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLogWithoutSymbolicNames()`
Returns `true` if the log was generated with the "-N" switch of "cvs log"
`void`
`parse()`
Parses one file from the input reader.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CvsFileBlockParser

public CvsFileBlockParser(LookaheadReader logReader, CvsLogBuilder builder, boolean isFirstFile)
Default Constructor CvsFileBlockParser.

Parameters:
  `logReader` - reader
  `builder` - a `Builder` for the creation process
  `isFirstFile` - Is this the first file of the log?

## Method Details

### parse

public void parse() throws LogSyntaxException, IOException
Parses one file from the input reader.

Throws:
  `LogSyntaxException` - on syntax error
  `IOException` - on read/write error

### isLogWithoutSymbolicNames

public boolean isLogWithoutSymbolicNames()
Returns `true` if the log was generated with the "-N" switch of "cvs log"

Returns:
  Returns `true` if the log was generated with the "-N" switch of "cvs log"